Summary: System logging and kernel message trapping daemons.
Name: sysklogd
Version: 1.3.31
Release: 13mdk
Copyright: GPL
Group: System/Kernel and hardware 
Source0: ftp://sunsite.unc.edu/pub/Linux/system/daemons/sysklogd-1.3-31.tar.bz2
Source1: syslog.conf.mdk
Source2: syslog.init
Source3: syslog.log
Patch1: sysklogd-1.3-alpha.patch.bz2
Patch2: sysklogd-1.3-rh.patch.bz2
Patch3: sysklogd-1.3-utmp-process.patch.bz2
Patch4: sysklogd-1.3-sparc.patch.bz2
# needed for 4.2 alpha
Patch5: sysklogd-1.3-alphafoo.patch.bz2
Patch6: sysklogd-nullterm.patch.bz2
Patch7: sysklogd-fixDoS.patch.bz2
Patch8: sysklogd-dgram.patch.bz2
Prereq: fileutils, /sbin/chkconfig
Requires: logrotate
BuildRoot: /var/tmp/syslog-root

%description
The sysklogd package contains two system utilities (syslogd and klogd)
which provide support for system logging.  Syslogd and klogd run as
daemons (background processes) and log system messages to different
places, like sendmail logs, security logs, error logs, etc.

%prep
%setup -q -n sysklogd-1.3-31
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,usr/{bin,man/man{5,8},sbin}}
mkdir -p $RPM_BUILD_ROOT/sbin

make install TOPDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
install -m644 $RPM_SOURCE_DIR/syslog.conf.mdk ./etc/syslog.conf
strip $RPM_BUILD_ROOT/sbin/* 

mkdir -p $RPM_BUILD_ROOT/etc/{rc.d/init.d,logrotate.d}
install -m755 $RPM_SOURCE_DIR/syslog.init $RPM_BUILD_ROOT/etc/rc.d/init.d/syslog
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc{0,1,2,3,4,5,6}.d
ln -sf ../init.d/syslog $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K99syslog
ln -sf ../init.d/syslog $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K99syslog
ln -sf ../init.d/syslog $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S30syslog
ln -sf ../init.d/syslog $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S30syslog
ln -sf ../init.d/syslog $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S30syslog
ln -sf ../init.d/syslog $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K99syslog
install -m644  $RPM_SOURCE_DIR/syslog.log $RPM_BUILD_ROOT/etc/logrotate.d/syslog

chmod 755 $RPM_BUILD_ROOT/sbin/syslogd
chmod 755 $RPM_BUILD_ROOT/sbin/klogd
mkdir -p $RPM_BUILD_ROOT/var/log/mail
mkdir -p $RPM_BUILD_ROOT/var/log/news



bzip2 -9f $RPM_BUILD_ROOT/usr/man/*/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
for n in /var/log/{messages,secure,maillog,spooler}
do
	[ -f $n ] && continue
	touch $n
	chmod 600 $n
done
/sbin/chkconfig --add syslog

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del syslog
fi

%files
%defattr(-,root,root)
%doc ANNOUNCE README* NEWS INSTALL Sysklogd-1.3.lsm
%config /etc/syslog.conf
%config /etc/logrotate.d/syslog
%config /etc/rc.d/init.d/syslog
%config(missingok) /etc/rc.d/rc0.d/K99syslog
%config(missingok) /etc/rc.d/rc3.d/S30syslog
%config(missingok) /etc/rc.d/rc1.d/K99syslog
%config(missingok) /etc/rc.d/rc5.d/S30syslog
%config(missingok) /etc/rc.d/rc2.d/S30syslog
%config(missingok) /etc/rc.d/rc6.d/K99syslog
/sbin/*
/usr/man/*/*
/var/log/mail
/var/log/news

%changelog
* Tue May 17 2000 Yoann Vandoorselaere <yoann@mandrakeosft.com> 1.3.31-13mdk
- correct path to killall in syslog.log

* Thu May 04 2000 Yoann Vandoorselaere <yoann@mandrakeosft.com> 1.3.31-12mdk
- create the mail & news log directory.
- update syslog.log

* Tue May 02 2000 Yoann Vandoorselaere <yoann@mandrakeosft.com> 1.3.31-11mdk
- kern.* is now logged to kern.log
- much more logfile now (cron, syslog, kernel, mail.log, mail.warn, 
  mail.err, mail.info, auth.log, user.log, lpr.log, daemon.log ).
- do not sync() not important logfile everytime an entry is added.
- syslog.conf.rhs -> syslog.conf.mdk
- mail & news log are in their own directory.
- again a little config change.

* Thu Mar 23 2000 Daouda Lo <daouda@mandrakesoft.com> 1.3.31-8mdk
- fix group for the next release 7.1
* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with rh changes.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- fix handling of RPM_OPT_FLAGS

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- update to sysklogd-1.3-31
- stop klogd *before* syslogd

* Tue Feb  9 1999 Jeff Johnson <jbj@redhat.com>
- escape naked percent chars in kernel messages (#1088).

* Thu Dec 17 1998 Jeff Johnson <jbj@redhat.com>
- rework last-gasp address-in-module oops trace for both 2.0.x/2.1.x modules.

* Mon Dec  7 1998 Jakub Jelinek <jj@ultra.linux.cz>
- make klogd translate SPARC register dumps and oopses.

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- add %clean

* Tue Aug  4 1998 Chris Adams <cadams@ro.com>
- only log to entries that are USER_PROCESS (fix #822)

* Mon Jul 27 1998 Jeff Johnson <jbj@redhat.com>
- remove RPM_BUILD_ROOT from %post

* Wed Apr 29 1998 Cristian Gafton <gafton@redhat.com>
- patch to support Buildroot
- package is now buildrooted

* Wed Apr 29 1998 Michael K. Johnson <johnsonm@redhat.com>
- Added exit patch so that a normal daemon exit is not flagged as an error.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added (missingok) to init symlinks

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- added status|restart support to syslog.init
- added chkconfig support
- various spec file cleanups

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
